MAXJ = 100
source("code_hermite.r")
XLIST = -100:100/100

get_eta <- function( q ){
 ser1 = 0
 ser2 = 0
 for( j in (q+1):MAXJ ){
  curr_fpsi = fpsi(XLIST,j)
  ser1 = ser1 + j^(-3) * max( abs( curr_fpsi ) )
  ser2 = ser2 + j^(-3) * sum( abs( curr_fpsi ) * (XLIST[2]-XLIST[1]) )
 }

 eta = max( ser1, ser2 )

 return( eta )
}
