################################################################################
# Kernel Function
################################################################################
kernel_b = 1.00;
kernel_c = 0.05;

get_phi_k <- function(t){
 abst = abs(t);
 phi_k_value = ( abst < 1 ) * exp( -kernel_b * exp( -kernel_b / ( abst - kernel_c )^2 ) / ( abst - 1 )^2 );
 phi_k_value = ( abst > kernel_c ) * phi_k_value + ( abst <= kernel_c ) * 1 
 return( phi_k_value );
}

T_MAT = matrix(-100:100/10,201,201)
X_MAT = -100:100/10
MU2 = sum( X_MAT^2 * Re( colSums( exp(-1i*T_MAT*X_MAT) * get_phi_k(T_MAT) ) ) * 0.1 / (2 * 3.14159) ) * 0.1