Conf_Band_PDF = cbind( Conf_Band[,1]-eta, Conf_Band[,2]+eta )
Conf_Band_PDF = 0 * (Conf_Band_PDF < 0) + Conf_Band_PDF * (Conf_Band_PDF  >= 0)
abline(h=0,col="black")

#########################################################################
# The PDF in the Confidence Band Yielding the Smallest E[exp(X)]
#########################################################################
low_f = Conf_Band_PDF[,1]
for( xdx in 1:length(x_list) ){
 if( sum(low_f) * (x_list[2]-x_list[1]) < 1 ){
  low_f[xdx] = Conf_Band_PDF[xdx,2]
 }
}
low_EexpX = sum( low_f * exp(x_list*sdX+meanX) ) * ( x_list[2]-x_list[1] )

#########################################################################
# The PDF in the Confidence Band Yielding the Largest E[exp(X)]
#########################################################################
high_f = Conf_Band_PDF[,2]
for( xdx in 1:length(x_list) ){
 if( sum(high_f) * (x_list[2]-x_list[1]) > 1 ){
  high_f[xdx] = Conf_Band_PDF[xdx,1]
 }
}
high_EexpX = sum( high_f * exp(x_list*sdX+meanX) ) * ( x_list[2]-x_list[1] )

#########################################################################
# Projection of the Confidence Band on E[exp(X)]
#########################################################################
c(low_EexpX, high_EexpX)
